You only have the Flash 3 Plug in

You need the Flash 4 Plug-in to view this site properly.

It's free and only takes about 1 minute.
And you will be able to recieve all kinds of cool streaming audio and animations.

Click the auto install button to download the Flash 4 plug-in.

 

If this scares you, that's to bad, I feel sorry for you.

But fear not, I have a site set up just for you.

Enter here for a html version of this site
If you do not or can not get the plug in.